/*
 * main.cpp - part of DialWidget
 * Copyright © 2007 Michael Pyne <michael.pyne@kdemail.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#include <QApplication>
#include <QStringList>
#include <QFile>
#include <QTextStream>
#include "S5WDial.h"
#include "mainwindow.h"

// Version: 0.4.3

void myMessageOutput(QtMsgType type, const char *msg)
{
    QFile f("temp.txt");

    f.open(QIODevice::Append | QIODevice::Text);
    QTextStream ts(&f);

    switch(type) {
        case QtDebugMsg:
            ts << "[dial]: " << msg << endl;
            break;
        case QtWarningMsg:
            ts << "[dial WARNING]: " << msg << endl;
            break;
        case QtCriticalMsg:
            ts << "[dial ERROR]: " << msg << endl;
            break;
        case QtFatalMsg:
        default:
            ts << "[dial FATAL]: " << msg << endl;
            abort();
    }
}

int main(int argc, char **argv)
{
    // Initialize RNG
    srandom(time(0));

    QApplication a(argc, argv);
    QStringList args = a.arguments();

    a.setApplicationName("DialWidget");

    MainWindow *mw = new MainWindow(0);

#if 0
    if(args.count() > 1) {
	if(args.at(1) == "--cpu")
	    type = MainWindow::CPUSensor;
	else if(args.at(1) == "--net-rx")
	    type = MainWindow::NetRxSensor;
	else if(args.at(1) == "--slider")
	    type = MainWindow::SliderSensor;
	else if(args.at(1) == "--fan-speed")
	    type = MainWindow::FanSpeedSensor;
	else if(args.at(1) == "--cpu-load")
	    type = MainWindow::CPULoadSensor;
    }

    mw->setSensorType(type);
#endif

    mw->show();

    return a.exec();
}
